﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="MVCAutentimineModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012.Azure" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="__MigrationHistory">
          <Key>
            <PropertyRef Name="MigrationId" />
            <PropertyRef Name="ContextKey" />
          </Key>
          <Property Name="MigrationId" Type="nvarchar" MaxLength="150" Nullable="false" />
          <Property Name="ContextKey" Type="nvarchar" MaxLength="300" Nullable="false" />
          <Property Name="Model" Type="varbinary(max)" Nullable="false" />
          <Property Name="ProductVersion" Type="nvarchar" MaxLength="32" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetRoles">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="256" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetUserClaims">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="UserId" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="ClaimType" Type="nvarchar(max)" />
          <Property Name="ClaimValue" Type="nvarchar(max)" />
        </EntityType>
        <EntityType Name="AspNetUserLogins">
          <Key>
            <PropertyRef Name="LoginProvider" />
            <PropertyRef Name="ProviderKey" />
            <PropertyRef Name="UserId" />
          </Key>
          <Property Name="LoginProvider" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="ProviderKey" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="UserId" Type="nvarchar" MaxLength="128" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetUserRoles">
          <Key>
            <PropertyRef Name="UserId" />
            <PropertyRef Name="RoleId" />
          </Key>
          <Property Name="UserId" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="RoleId" Type="nvarchar" MaxLength="128" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetUsers">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="Email" Type="nvarchar" MaxLength="256" />
          <Property Name="EmailConfirmed" Type="bit" Nullable="false" />
          <Property Name="PasswordHash" Type="nvarchar(max)" />
          <Property Name="SecurityStamp" Type="nvarchar(max)" />
          <Property Name="PhoneNumber" Type="nvarchar(max)" />
          <Property Name="PhoneNumberConfirmed" Type="bit" Nullable="false" />
          <Property Name="TwoFactorEnabled" Type="bit" Nullable="false" />
          <Property Name="LockoutEndDateUtc" Type="datetime" />
          <Property Name="LockoutEnabled" Type="bit" Nullable="false" />
          <Property Name="AccessFailedCount" Type="int" Nullable="false" />
          <Property Name="UserName" Type="nvarchar" MaxLength="256" Nullable="false" />
        </EntityType>
        <!--Errors Found During Generation:
warning 6002: The table/view 'MVCAutentimine.sys.database_firewall_rules' does not have a primary key defined. The key has been inferred and the definition was created as a read-only table/view.-->
        <EntityType Name="database_firewall_rules">
          <Key>
            <PropertyRef Name="id" />
            <PropertyRef Name="name" />
            <PropertyRef Name="start_ip_address" />
            <PropertyRef Name="end_ip_address" />
            <PropertyRef Name="create_date" />
            <PropertyRef Name="modify_date" />
          </Key>
          <Property Name="id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="start_ip_address" Type="varchar" MaxLength="45" Nullable="false" />
          <Property Name="end_ip_address" Type="varchar" MaxLength="45" Nullable="false" />
          <Property Name="create_date" Type="datetime" Nullable="false" />
          <Property Name="modify_date" Type="datetime" Nullable="false" />
        </EntityType>
        <Association Name="FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId">
          <End Role="AspNetUsers" Type="Self.AspNetUsers" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserClaims" Type="Self.AspNetUserClaims" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetUsers">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserClaims">
              <PropertyRef Name="UserId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId">
          <End Role="AspNetUsers" Type="Self.AspNetUsers" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserLogins" Type="Self.AspNetUserLogins" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetUsers">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserLogins">
              <PropertyRef Name="UserId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_AspNetUserRoles_dbo_AspNetRoles_RoleId">
          <End Role="AspNetRoles" Type="Self.AspNetRoles" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserRoles" Type="Self.AspNetUserRoles" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetRoles">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserRoles">
              <PropertyRef Name="RoleId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_AspNetUserRoles_dbo_AspNetUsers_UserId">
          <End Role="AspNetUsers" Type="Self.AspNetUsers" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserRoles" Type="Self.AspNetUserRoles" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetUsers">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserRoles">
              <PropertyRef Name="UserId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="MVCAutentimineModelStoreContainer">
          <EntitySet Name="__MigrationHistory" EntityType="Self.__MigrationHistory" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetRoles" EntityType="Self.AspNetRoles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetUserClaims" EntityType="Self.AspNetUserClaims" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetUserLogins" EntityType="Self.AspNetUserLogins" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetUserRoles" EntityType="Self.AspNetUserRoles" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="AspNetUsers" EntityType="Self.AspNetUsers" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="database_firewall_rules" EntityType="Self.database_firewall_rules" store:Type="Views" store:Schema="sys">
            <DefiningQuery>SELECT 
    [database_firewall_rules].[id] AS [id], 
    [database_firewall_rules].[name] AS [name], 
    [database_firewall_rules].[start_ip_address] AS [start_ip_address], 
    [database_firewall_rules].[end_ip_address] AS [end_ip_address], 
    [database_firewall_rules].[create_date] AS [create_date], 
    [database_firewall_rules].[modify_date] AS [modify_date]
    FROM [sys].[database_firewall_rules] AS [database_firewall_rules]</DefiningQuery>
          </EntitySet>
          <AssociationSet Name="FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId" Association="Self.FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId">
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
            <End Role="AspNetUserClaims" EntitySet="AspNetUserClaims" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId" Association="Self.FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId">
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
            <End Role="AspNetUserLogins" EntitySet="AspNetUserLogins" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_AspNetUserRoles_dbo_AspNetRoles_RoleId" Association="Self.FK_dbo_AspNetUserRoles_dbo_AspNetRoles_RoleId">
            <End Role="AspNetRoles" EntitySet="AspNetRoles" />
            <End Role="AspNetUserRoles" EntitySet="AspNetUserRoles" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_AspNetUserRoles_dbo_AspNetUsers_UserId" Association="Self.FK_dbo_AspNetUserRoles_dbo_AspNetUsers_UserId">
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
            <End Role="AspNetUserRoles" EntitySet="AspNetUserRoles" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="MVCAutentimineModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="C__MigrationHistory">
          <Key>
            <PropertyRef Name="MigrationId" />
            <PropertyRef Name="ContextKey" />
          </Key>
          <Property Name="MigrationId" Type="String" MaxLength="150" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="ContextKey" Type="String" MaxLength="300" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Model" Type="Binary" MaxLength="Max" FixedLength="false" Nullable="false" />
          <Property Name="ProductVersion" Type="String" MaxLength="32" FixedLength="false" Unicode="true" Nullable="false" />
        </EntityType>
        <EntityType Name="AspNetRole">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Name" Type="String" MaxLength="256" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="AspNetUsers" Relationship="Self.AspNetUserRoles" FromRole="AspNetRoles" ToRole="AspNetUsers" />
        </EntityType>
        <EntityType Name="AspNetUserClaim">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="UserId" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="ClaimType" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="ClaimValue" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <NavigationProperty Name="AspNetUser" Relationship="Self.FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId" FromRole="AspNetUserClaims" ToRole="AspNetUsers" />
        </EntityType>
        <EntityType Name="AspNetUserLogin">
          <Key>
            <PropertyRef Name="LoginProvider" />
            <PropertyRef Name="ProviderKey" />
            <PropertyRef Name="UserId" />
          </Key>
          <Property Name="LoginProvider" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="ProviderKey" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="UserId" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="AspNetUser" Relationship="Self.FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId" FromRole="AspNetUserLogins" ToRole="AspNetUsers" />
        </EntityType>
        <EntityType Name="AspNetUser">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Email" Type="String" MaxLength="256" FixedLength="false" Unicode="true" />
          <Property Name="EmailConfirmed" Type="Boolean" Nullable="false" />
          <Property Name="PasswordHash" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="SecurityStamp" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="PhoneNumber" Type="String" MaxLength="Max" FixedLength="false" Unicode="true" />
          <Property Name="PhoneNumberConfirmed" Type="Boolean" Nullable="false" />
          <Property Name="TwoFactorEnabled" Type="Boolean" Nullable="false" />
          <Property Name="LockoutEndDateUtc" Type="DateTime" Precision="3" />
          <Property Name="LockoutEnabled" Type="Boolean" Nullable="false" />
          <Property Name="AccessFailedCount" Type="Int32" Nullable="false" />
          <Property Name="UserName" Type="String" MaxLength="256" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="AspNetUserClaims" Relationship="Self.FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId" FromRole="AspNetUsers" ToRole="AspNetUserClaims" />
          <NavigationProperty Name="AspNetUserLogins" Relationship="Self.FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId" FromRole="AspNetUsers" ToRole="AspNetUserLogins" />
          <NavigationProperty Name="AspNetRoles" Relationship="Self.AspNetUserRoles" FromRole="AspNetUsers" ToRole="AspNetRoles" />
        </EntityType>
        <EntityType Name="database_firewall_rules">
          <Key>
            <PropertyRef Name="id" />
            <PropertyRef Name="name" />
            <PropertyRef Name="start_ip_address" />
            <PropertyRef Name="end_ip_address" />
            <PropertyRef Name="create_date" />
            <PropertyRef Name="modify_date" />
          </Key>
          <Property Name="id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="start_ip_address" Type="String" MaxLength="45" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="end_ip_address" Type="String" MaxLength="45" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="create_date" Type="DateTime" Nullable="false" Precision="3" />
          <Property Name="modify_date" Type="DateTime" Nullable="false" Precision="3" />
        </EntityType>
        <Association Name="FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId">
          <End Role="AspNetUsers" Type="Self.AspNetUser" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserClaims" Type="Self.AspNetUserClaim" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetUsers">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserClaims">
              <PropertyRef Name="UserId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId">
          <End Role="AspNetUsers" Type="Self.AspNetUser" Multiplicity="1">
            <OnDelete Action="Cascade" />
          </End>
          <End Role="AspNetUserLogins" Type="Self.AspNetUserLogin" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="AspNetUsers">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="AspNetUserLogins">
              <PropertyRef Name="UserId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="AspNetUserRoles">
          <End Role="AspNetRoles" Type="Self.AspNetRole" Multiplicity="*" />
          <End Role="AspNetUsers" Type="Self.AspNetUser" Multiplicity="*" />
        </Association>
        <EntityContainer Name="MVCAutentimineEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="C__MigrationHistory" EntityType="Self.C__MigrationHistory" />
          <EntitySet Name="AspNetRoles" EntityType="Self.AspNetRole" />
          <EntitySet Name="AspNetUserClaims" EntityType="Self.AspNetUserClaim" />
          <EntitySet Name="AspNetUserLogins" EntityType="Self.AspNetUserLogin" />
          <EntitySet Name="AspNetUsers" EntityType="Self.AspNetUser" />
          <EntitySet Name="database_firewall_rules" EntityType="Self.database_firewall_rules" />
          <AssociationSet Name="FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId" Association="Self.FK_dbo_AspNetUserClaims_dbo_AspNetUsers_UserId">
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
            <End Role="AspNetUserClaims" EntitySet="AspNetUserClaims" />
          </AssociationSet>
          <AssociationSet Name="FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId" Association="Self.FK_dbo_AspNetUserLogins_dbo_AspNetUsers_UserId">
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
            <End Role="AspNetUserLogins" EntitySet="AspNetUserLogins" />
          </AssociationSet>
          <AssociationSet Name="AspNetUserRoles" Association="Self.AspNetUserRoles">
            <End Role="AspNetRoles" EntitySet="AspNetRoles" />
            <End Role="AspNetUsers" EntitySet="AspNetUsers" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="MVCAutentimineModelStoreContainer" CdmEntityContainer="MVCAutentimineEntities">
          <EntitySetMapping Name="C__MigrationHistory">
            <EntityTypeMapping TypeName="MVCAutentimineModel.C__MigrationHistory">
              <MappingFragment StoreEntitySet="__MigrationHistory">
                <ScalarProperty Name="MigrationId" ColumnName="MigrationId" />
                <ScalarProperty Name="ContextKey" ColumnName="ContextKey" />
                <ScalarProperty Name="Model" ColumnName="Model" />
                <ScalarProperty Name="ProductVersion" ColumnName="ProductVersion" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="AspNetRoles">
            <EntityTypeMapping TypeName="MVCAutentimineModel.AspNetRole">
              <MappingFragment StoreEntitySet="AspNetRoles">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Name" ColumnName="Name" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="AspNetUserClaims">
            <EntityTypeMapping TypeName="MVCAutentimineModel.AspNetUserClaim">
              <MappingFragment StoreEntitySet="AspNetUserClaims">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="UserId" ColumnName="UserId" />
                <ScalarProperty Name="ClaimType" ColumnName="ClaimType" />
                <ScalarProperty Name="ClaimValue" ColumnName="ClaimValue" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="AspNetUserLogins">
            <EntityTypeMapping TypeName="MVCAutentimineModel.AspNetUserLogin">
              <MappingFragment StoreEntitySet="AspNetUserLogins">
                <ScalarProperty Name="LoginProvider" ColumnName="LoginProvider" />
                <ScalarProperty Name="ProviderKey" ColumnName="ProviderKey" />
                <ScalarProperty Name="UserId" ColumnName="UserId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="AspNetUsers">
            <EntityTypeMapping TypeName="MVCAutentimineModel.AspNetUser">
              <MappingFragment StoreEntitySet="AspNetUsers">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Email" ColumnName="Email" />
                <ScalarProperty Name="EmailConfirmed" ColumnName="EmailConfirmed" />
                <ScalarProperty Name="PasswordHash" ColumnName="PasswordHash" />
                <ScalarProperty Name="SecurityStamp" ColumnName="SecurityStamp" />
                <ScalarProperty Name="PhoneNumber" ColumnName="PhoneNumber" />
                <ScalarProperty Name="PhoneNumberConfirmed" ColumnName="PhoneNumberConfirmed" />
                <ScalarProperty Name="TwoFactorEnabled" ColumnName="TwoFactorEnabled" />
                <ScalarProperty Name="LockoutEndDateUtc" ColumnName="LockoutEndDateUtc" />
                <ScalarProperty Name="LockoutEnabled" ColumnName="LockoutEnabled" />
                <ScalarProperty Name="AccessFailedCount" ColumnName="AccessFailedCount" />
                <ScalarProperty Name="UserName" ColumnName="UserName" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="database_firewall_rules">
            <EntityTypeMapping TypeName="MVCAutentimineModel.database_firewall_rules">
              <MappingFragment StoreEntitySet="database_firewall_rules">
                <ScalarProperty Name="id" ColumnName="id" />
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="start_ip_address" ColumnName="start_ip_address" />
                <ScalarProperty Name="end_ip_address" ColumnName="end_ip_address" />
                <ScalarProperty Name="create_date" ColumnName="create_date" />
                <ScalarProperty Name="modify_date" ColumnName="modify_date" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <AssociationSetMapping Name="AspNetUserRoles" TypeName="MVCAutentimineModel.AspNetUserRoles" StoreEntitySet="AspNetUserRoles">
            <EndProperty Name="AspNetRoles">
              <ScalarProperty Name="Id" ColumnName="RoleId" />
            </EndProperty>
            <EndProperty Name="AspNetUsers">
              <ScalarProperty Name="Id" ColumnName="UserId" />
            </EndProperty>
          </AssociationSetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>